from setuptools import setup

name = "types-stdlib-list"
description = "Typing stubs for stdlib-list"
long_description = '''
## Typing stubs for stdlib-list

This is a PEP 561 type stub package for the `stdlib-list` package. It
can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
PyCharm, etc. to check code that uses
`stdlib-list`. The source for this package can be found at
https://github.com/python/typeshed/tree/main/stubs/stdlib-list. All fixes for
types and metadata should be contributed there.

*Note:* The `stdlib-list` package includes type annotations or type stubs
since version 0.9.0. Please uninstall the `types-stdlib-list`
package if you use this or a newer version.


See https://github.com/python/typeshed/blob/main/README.md for more details.
This package was generated from typeshed commit `c402107f8afd57a1916ba116e6aafb5bf7a663f3` and was tested
with mypy 1.3.0, pyright 1.1.314, and
pytype 2023.6.2.
'''.lstrip()

setup(name=name,
      version="0.8.3.3",
      description=description,
      long_description=long_description,
      long_description_content_type="text/markdown",
      url="https://github.com/python/typeshed",
      project_urls={
          "GitHub": "https://github.com/python/typeshed",
          "Changes": "https://github.com/typeshed-internal/stub_uploader/blob/main/data/changelogs/stdlib-list.md",
          "Issue tracker": "https://github.com/python/typeshed/issues",
          "Chat": "https://gitter.im/python/typing",
      },
      install_requires=[],
      packages=['stdlib_list-stubs'],
      package_data={'stdlib_list-stubs': ['__init__.pyi', '_version.pyi', 'base.pyi', 'METADATA.toml']},
      license="Apache-2.0 license",
      classifiers=[
          "License :: OSI Approved :: Apache Software License",
          "Programming Language :: Python :: 3",
          "Typing :: Stubs Only",
      ]
)
